Denial of Service (DoS) Affecting libplist package, versions >=0.0.0


0.0
medium

Snyk CVSS

    Attack Complexity Low
    User Interaction Required
    Availability High

    Threat Intelligence

    EPSS 0.04% (8th percentile)
Expand this section
NVD
5 medium
Expand this section
Red Hat
3.3 low

Do your applications use this vulnerable package?

In a few clicks we can analyze your entire application and see what components are vulnerable in your application, and suggest you quick fixes.

Test your applications
  • Snyk ID SNYK-COCOAPODS-LIBPLIST-472401
  • published 8 Oct 2019
  • disclosed 15 Mar 2017
  • credit zhunki

How to fix?

There is no fixed version for libplist.

Overview

libplist is a library to handle Apple Property List format in binary or XML

Affected versions of this package are vulnerable to Denial of Service (DoS). Heap-based buffer overflow in the parse_string_node function in bplist.c in libimobiledevice allows local users to cause a denial of service (out-of-bounds write) via a crafted plist file.

Details